// lib/data/models/discount_info_model.dart

import 'package:equatable/equatable.dart';

class DiscountInfoModel extends Equatable {
  final String name;
  final String description;

  const DiscountInfoModel({
    required this.name,
    required this.description,
  });

  @override
  List<Object?> get props => [name, description];

  factory DiscountInfoModel.fromJson(Map<String, dynamic> json) {
    return DiscountInfoModel(
      name: json['name'],
      description: json['description'],
    );
  }
}